// CECSpinEditCell.h: interface for the CECSpinEditCell class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CECSPINEDITCELL_H__26BAB114_AA78_11D4_94B7_00C04F89E392__INCLUDED_)
#define AFX_CECSPINEDITCELL_H__26BAB114_AA78_11D4_94B7_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "GridBtnCell.h"

class CECSpinEditCell : public CGridBtnCell  
{
public:
	CECSpinEditCell();
	DECLARE_DYNCREATE(CECSpinEditCell);

	virtual ~CECSpinEditCell();
	void SetNumberOnly(bool bSet);
	BOOL Edit(int nRow, int nCol, CRect rect, CPoint point, UINT nID, UINT nChar);
	void SetRange(int nMin,int nMax);
    virtual void SetText(LPCTSTR szText);

private:
	bool m_bNumberOnly;
	int m_nMaxValue;
	int m_nMinValue;
};

#endif // !defined(AFX_CECSPINEDITCELL_H__26BAB114_AA78_11D4_94B7_00C04F89E392__INCLUDED_)
