/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// DefaultSimpleMfcMail.h: interface for the CDefaultSimpleMfcMail class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DEFAULTSIMPLEMFCMAIL_H__B5C09458_2603_11D2_A10F_0020AFAC7193__INCLUDED_)
#define AFX_DEFAULTSIMPLEMFCMAIL_H__B5C09458_2603_11D2_A10F_0020AFAC7193__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "ISimpleMail.h"

// --------------------------------------------------------------------------

class CDefaultSimpleMfcMail : public ISimpleMfcMail
{
public:
    CDefaultSimpleMfcMail();
    virtual ~CDefaultSimpleMfcMail();

    virtual HRESULT _OnUpdateFileSendMail(CCmdUI* pCmdUI) ;

    virtual HRESULT _OnFileSendMail( LPSTR lpszSubject ,    // Message Subject
                                     LPSTR lpszNoteText ,   // Message Text
                                     LPSTR lpszAttachedFilePath  = NULL ,
                                     LPSTR lpszAttachedFileTitle = NULL ) ;
};

// --------------------------------------------------------------------------

#endif // !defined(AFX_DEFAULTSIMPLEMFCMAIL_H__B5C09458_2603_11D2_A10F_0020AFAC7193__INCLUDED_)
