#ifndef __STD_TYPES_H__
#define __STD_TYPES_H__
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
typedef struct tagGRIDBMP_INFO
{
    int    nCol ;
    int    nCount ;
    void * pDest ;
    void * pUser ;
    BOOL (*fpEnumOneBmp)( void * pDest , void * pUser , UINT nBmpID , UINT nColTitleID  , int nIndex ) ;
}
GRIDBMP_INFO , * LPGRIDBMP_INFO ;

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
typedef struct tagFILTER_BMP_COMBO
{
    void *pDest ;
    BOOL (*fpEnum)( void *pDest , UINT nBmpID  ) ;
    BOOL (*fpSetBmp)( void *pDest , UINT nBmpCount  ) ;
}
FILTER_BMP_COMBO , * LPFILTER_BMP_COMBO ;

typedef struct tagDO_SEARCH
{
    LPCTSTR pczSearchArg ; // In
    int     nCol ;         // In
    BOOL    bUpwards ;     // In
    BOOL    bMatchCase ;   // In
    BOOL    bHit ;         // Out
    int     nHitCount ;    // Out
}

DO_SEARCH , * LPDO_SEARCH ;

#endif
