/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// CECPlugInDLL.h: interface for the CECPlugInDLL class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CECPlugInDLL_H__97F10278_F959_11D2_8A98_0060084D8878__INCLUDED_)
#define AFX_CECPlugInDLL_H__97F10278_F959_11D2_8A98_0060084D8878__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CECPlugInDLL
{
public:
    CECPlugInDLL    (HINSTANCE hDLL ,CString& szName ,CString& szType, CString szTitle = "");

    virtual ~CECPlugInDLL();

    // @cmember Return the handle to the DLL
    HINSTANCE   hDLL () const
    {
        return m_hDLL;
    }

    CString*    Name ()
    {
        return &m_szName;
    }

    CString*    Type()
    {
        return &m_szType;
    }

    CString*    Title()
    {
        return &m_szTitle;
    }


private:
    HINSTANCE   m_hDLL;
    CString     m_szName;
    CString     m_szType;
    CString     m_szTitle;
};

#endif // !defined(AFX_CECPlugInDLL_H__97F10278_F959_11D2_8A98_0060084D8878__INCLUDED_)
