#if !defined(AFX_COMPARERUNWIZARD_H__61998E37_B0D1_11D4_94BF_00C04F89E392__INCLUDED_)
#define AFX_COMPARERUNWIZARD_H__61998E37_B0D1_11D4_94BF_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CompareRunWizard.h : header file
//
#include "resource.h"
/////////////////////////////////////////////////////////////////////////////
// CTimerSelPage dialog

class CTimerSelPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CTimerSelPage)

// Construction
public:
	CTimerSelPage();
	~CTimerSelPage();

// Dialog Data
	//{{AFX_DATA(CTimerSelPage)
	enum { IDD = IDD_SEL_TIMER_PAGE };
	CListBox	m_ctlTimerList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CTimerSelPage)
	public:
	virtual BOOL OnWizardFinish();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CTimerSelPage)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void FillTimerList();
};


class CPerformanceQueryPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CPerformanceQueryPage)

// Construction
public:
	CPerformanceQueryPage();
	~CPerformanceQueryPage();

// Dialog Data
	//{{AFX_DATA(CPerformanceQueryPage)
	enum { IDD = IDD_PERF_QUERY_PAGE };
	CListBox	m_ctlQueryList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPerformanceQueryPage)
	public:
	virtual LRESULT OnWizardNext();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CPerformanceQueryPage)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void FillQueryList();
};

/////////////////////////////////////////////////////////////////////////////
// CCompareRunWizard

class CCompareRunWizard : public CPropertySheet
{
	DECLARE_DYNAMIC(CCompareRunWizard)

// Construction
public:
	CCompareRunWizard(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

	const CStringArray& GetPerfQueryList();
	const CStringArray& GetTimerList();
// Attributes
public:
	
	int GetSelectedQueries(CStringArray& arstrQueries);
	int GetSelectedTimers(CStringArray& arstrTimers);

// Operations
public:

	void SetSelectedQueries(CStringArray& arstrQueries);
	void SetSelectedTimers(CStringArray& arstrTimers);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCompareRunWizard)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CCompareRunWizard();

	// Generated message map functions
protected:
	//{{AFX_MSG(CCompareRunWizard)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	CPerformanceQueryPage m_PerfQueryPage;
	CTimerSelPage	m_TimerSelPage;

	CStringArray m_arstrSelPerfQueries;
	CStringArray m_arstrSelTimers;

	CStringArray m_arstrPerfQueries;
	CStringArray m_arstrTimers;
	void FillPerfQueryList();
	void FillTimerList();
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COMPARERUNWIZARD_H__61998E37_B0D1_11D4_94BF_00C04F89E392__INCLUDED_)

