// ThreadModelDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ThreadModelDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CThreadModelDlg dialog


CThreadModelDlg::CThreadModelDlg(BOOL bIsUsingTP, CWnd* pParent /*=NULL*/)
	: CDialog(CThreadModelDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CThreadModelDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_bThreadPool = bIsUsingTP;
}


void CThreadModelDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CThreadModelDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CThreadModelDlg, CDialog)
	//{{AFX_MSG_MAP(CThreadModelDlg)
	ON_BN_CLICKED(IDC_THREAD_DT, OnThreadDt)
	ON_BN_CLICKED(IDC_THREAD_TP, OnThreadTp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CThreadModelDlg message handlers

void CThreadModelDlg::OnThreadDt() 
{
	m_bThreadPool = FALSE;
}

void CThreadModelDlg::OnThreadTp() 
{
	m_bThreadPool = TRUE;
}

BOOL CThreadModelDlg::IsUsingThreadPool()
{
	return m_bThreadPool;
}

BOOL CThreadModelDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	CButton* pBTP = (CButton*)GetDlgItem(IDC_THREAD_TP);
	pBTP->SetCheck(m_bThreadPool);

	CButton* pBDT = (CButton*)GetDlgItem(IDC_THREAD_DT);
	pBDT->SetCheck(!m_bThreadPool);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
