/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
#ifndef _CECARRAYVAR_H_
#define _CECARRAYVAR_H_
#ifdef WIN32
#pragma warning(disable:4786)
#pragma warning(disable:4503)
#endif
#include "CECProcessVar.h"
class CECArrayVar:public CECProcessVar
{
public:
    CECArrayVar(string name,int size,int options,string indecies);
    virtual ~CECArrayVar();
    virtual string  get_value(const string& expression);
    virtual int	    set_value(const string& newval,const string& expression);
private:
    //Now a method in CECVar to be shared with CECInterProcessVar
    //virtual unsigned long GetIndexValue(string index);
    vector<int>	min_index; //lower bound of indecies (default to 1)
    vector<int>	max_index; //list of all indecies maximums
    vector<int>	size_index; //how big each index is in terms of single array
    vector<string> value_list;// list of all values
}
;
#endif
