/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/*===========================================================================*/
/*                                       */
/*               **** V - T E S T ****                   */
/*                                       */
/*===========================================================================*/
/*                                       */
/*          Module Name: VTEST_STRUCTURES                */
/*          ============                         */
/*                                       */
/* Description:                                  */
/* ============                                  */
/*                                       */
/*  This File contains Incomplete Type Declarations for all structure    */
/*  types defined in V-TEST function prototype files.            */
/*                                       */
/*===========================================================================*/

#ifndef PSL__VTEST_STRUCTURES_LOADED
#define PSL__VTEST_STRUCTURES_LOADED 1

struct  dtc;                /* DTC message format       */
struct  lcd;                /* LCDA Section structure   */
struct  mbx;                /* Mailbox definition record    */
struct  ndh;                /* Node Header */
struct  ndr;                /* Node Data */
struct  prm;                /* Parameter definition record  */
struct  scph;               /* Script header record     */
struct  slbi;               /* SLB index record     */
struct  srvinf;             /* Server Information record    */
struct  srv_sts;            /* Server Status record     */
struct  tdf;                /* terminal definition record   */
struct  tdp;                /* Script Parameter (TDF) record */
struct  tlh;                /* Test Definition Header */
struct  tlv;                /* Test Level definition record */
struct  vcb;                /* VCBA Section structure   */

#endif  /* PSL__VTEST_STRUCTURES_LOADED */
