#ifndef _ENUMDATA_HPP_
#define _ENUMDATA_HPP_


/////////////////////////////////////////////////////////////////////////////
// TEnumData
/////////////////////////////////////////////////////////////////////////////
struct TEnumData
{
    const UINT * m_pnBmp ;  // Associated bitmaps IDs

    TEnumData( const UINT * pnBmp = NULL ) : m_pnBmp(pnBmp)
    {}


    const UINT * GetBmpIDArray() const
    {
        return m_pnBmp ;
    }

    enum Flag // Future use ...
    {}
    ;
} ;

/////////////////////////////////////////////////////////////////////////////
// CEnumData
/////////////////////////////////////////////////////////////////////////////
template <class T> class CEnumData : public T , public TEnumData
{
public:
CEnumData( const UINT * pnBmp = NULL ) :
    TEnumData(pnBmp)
    {
        //memset( this , '\0' , sizeof( T ) ) ;
    }


    typedef BOOL (* FpEnum)( void * pDest , CEnumData<T> * pData , int index ) ;
} ;

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
struct TEnumTreeData
{
    int         m_nDepth        ;
    int         m_nLastDepth    ;
    HTREEITEM   m_hLastItem     ;
    LPCSTR      m_lpszItem      ;
    void*       m_pItemData     ;
    int         m_nImage        ;
    int         m_nSelectedImage ;

    TEnumTreeData():    m_nDepth(1), m_nLastDepth(1), m_hLastItem(NULL),
            m_pItemData(NULL),m_lpszItem(LPSTR_TEXTCALLBACK),
            m_nImage(I_IMAGECALLBACK), m_nSelectedImage(I_IMAGECALLBACK)
    {}

} ;


/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
template <class T> class CEnumTreeData : public TEnumTreeData
{
private:
    T         tData ;

public:
    CEnumTreeData()
    {}

    T*  Data()
    {
        return &tData ;
    }
    typedef BOOL (* FpEnum)( void * pDest , CEnumTreeData<T> * pData) ;
} ;


#endif // _ENUMDATA_HPP_
