#if !defined(AFX_SPAWNMDIFRAMEWND_H__13CAB7C5_D316_11D1_8693_000000000000__INCLUDED_)
#define AFX_SPAWNMDIFRAMEWND_H__13CAB7C5_D316_11D1_8693_000000000000__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// SpawnMDIFrameWnd.h : header file
//
#include "MenuSpawn.h"
#include "MDIClient.h"

/////////////////////////////////////////////////////////////////////////////
// CSpawnMDIFrameWnd frame

class CSpawnMDIFrameWnd : public CMDIFrameWnd
{
    DECLARE_DYNCREATE(CSpawnMDIFrameWnd)
protected:
    CSpawnMDIFrameWnd();           // protected constructor used by dynamic creation

    // Attributes
public:
    CMDIClient m_wndMDIClient;

    // COOLMENU SUPPORT
    CMenuSpawn  cSpawn;
    CRect oldMenuBarRc;
    bool bMenuLooping;
    UINT uiTimerId;
    // END COOLMENU SUPPORT

    // Operations
public:
    virtual BOOL CreateClient( LPCREATESTRUCT lpCreateStruct, CMenu* pWindowMenu );

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CSpawnMDIFrameWnd)
    //}}AFX_VIRTUAL

    // Implementation
protected:
    virtual ~CSpawnMDIFrameWnd();

    // Generated message map functions
    //{{AFX_MSG(CSpawnMDIFrameWnd)
    afx_msg void OnDrawItem(int nIDCtl, LPDRAWITEMSTRUCT lpDrawItemStruct);
    afx_msg void OnMeasureItem(int nIDCtl, LPMEASUREITEMSTRUCT lpMeasureItemStruct);
    afx_msg void OnInitMenu(CMenu* pMenu);
    afx_msg void OnInitMenuPopup(CMenu* pPopupMenu, UINT nIndex, BOOL bSysMenu);
    afx_msg LRESULT OnMenuChar(UINT nChar, UINT nFlags, CMenu* pMenu);
    afx_msg UINT OnNcHitTest(CPoint point);
    afx_msg void OnTimer(UINT nIDEvent);
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnDestroy();
    //}}AFX_MSG
    afx_msg void OnEnterMenuLoop(BOOL bIsTrackPopupMenu);
    afx_msg void OnExitMenuLoop(BOOL bIsTrackPopupMenu);
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SPAWNMDIFRAMEWND_H__13CAB7C5_D316_11D1_8693_000000000000__INCLUDED_)
