#if !defined(AFX_CECREGLISTDLG_H__FB8E17F9_50EE_11D4_A6D7_00500447FC27__INCLUDED_)
#define AFX_CECREGLISTDLG_H__FB8E17F9_50EE_11D4_A6D7_00500447FC27__INCLUDED_

/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECRegListDlg.h : header file
//
#include "OSTAORB\OSTAORB.h"

/////////////////////////////////////////////////////////////////////////////
// CECRegListDlg dialog
enum { ALL_ITEMS, PROVIDERS_ITEM, LOG_ITEM, FACTORY_ITEM, TESTMANAGER_ITEM, TESTEXECUTER_ITEM,
       TESTRUN_ITEM, TMVARFACTORY_ITEM, GLOBALSTRING_ITEM, TIMESERVICE_ITEM};

class CECRegListDlg : public CDialog
{
    // Construction
public:
    CECRegListDlg(CWnd* pParent = NULL);   // standard constructor

    // Dialog Data
    //{{AFX_DATA(CECRegListDlg)
    enum { IDD = IDD_REGLIST };
    CButton m_RefreshStop;
    CButton m_RefreshStart;
    CComboBox   m_Types;
    CListCtrl   m_RegList;
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECRegListDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CECRegListDlg)
    virtual BOOL OnInitDialog();
    afx_msg void OnChangeTypes();
    afx_msg void OnDestroy();
    afx_msg void OnTimer(UINT nIDEvent);
    afx_msg void OnRefreshStart();
    afx_msg void OnRefreshStop();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

private:
    void AddItems(CString type);

    CORBAServer* m_pCorba;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECREGLISTDLG_H__FB8E17F9_50EE_11D4_A6D7_00500447FC27__INCLUDED_)
