/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

////////////////////////////////////////////////////////////////////////////////
// @doc     Document
// @module  CECDocManager | Over-ridden document manager
//
////////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CECDOCMANAGER_H__CBE9FC62_27D9_11D3_BE03_00A02456D506__INCLUDED_)
#define AFX_CECDOCMANAGER_H__CBE9FC62_27D9_11D3_BE03_00A02456D506__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// @class Over-ridden document manager
// @base public | SECDocManager
class CECDocManager : public CDocManager
{

    // @access Public Members
public:

    // @cmember Constructor
    CECDocManager();

    // @cmember Destructor
    virtual ~CECDocManager();

    // @cmember Over-ridden to always allow function to return a pointer to the new document
    CDocument* OnFileNew(LPCTSTR DocIdent); //@parm String containing the document name eg. "MyDoc"

}
;

#endif // !defined(AFX_CECDOCMANAGER_H__CBE9FC62_27D9_11D3_BE03_00A02456D506__INCLUDED_)
