/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/////////////////////////////////////////////////////////////////////////
//
// CYRNewNode.h
// ------------
//
//    This is the include file for the CYRNewNode class
//
//=========================================================================
#if !defined(AFX_CYRNEWNODE_H__39D132AA_7584_11D3_9F35_00500487BD9B__INCLUDED_)
#define AFX_CYRNEWNODE_H__39D132AA_7584_11D3_9F35_00500487BD9B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CYRNewNode.h : header file
//
#include "..\..\Common\CECDataName.h"

/////////////////////////////////////////////////////////////////////////////
// CYRNewNode dialog

class CYRNewNode : public CDialog
{
    // Construction
public:
    CYRNewNode(CWnd* pParent = NULL);   // standard constructor

    // Dialog Data
    //{{AFX_DATA(CYRNewNode)
    enum { IDD = IDD_NEW_NODE_DLG };
    CString m_szName;
    //}}AFX_DATA

    // Readers ...
    CString GetName()
    {
        return m_szName;
    }


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CYRNewNode)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CYRNewNode)
    virtual void OnOK();
    virtual BOOL OnInitDialog();
    afx_msg void OnChangeNewNodeName();
    afx_msg void OnUpdateOK(CCmdUI* pCmdUI);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
private:
    CECDataName     m_DataNameEdit;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CYRNEWNODE_H__39D132AA_7584_11D3_9F35_00500487BD9B__INCLUDED_)
