#if !defined(AFX_CECGRIDWND_H__2AA8F2EA_0977_11D4_A6C1_00500447FC27__INCLUDED_)
#define AFX_CECGRIDWND_H__2AA8F2EA_0977_11D4_A6C1_00500447FC27__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECGridWnd.h : header file
//
#include "CECGridCtrl.h"
/////////////////////////////////////////////////////////////////////////////
// CECGridWnd window

class CECGridWnd : public CECGridCtrl
{
    // Construction
public:
    CECGridWnd();

    // Attributes
public:

    // Operations
public:

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECGridWnd)
    afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
    afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
    //}}AFX_VIRTUAL
    afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);

    // Implementation
public:
    virtual ~CECGridWnd();

    // Generated message map functions
protected:
    //{{AFX_MSG(CECGridWnd)
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

    void OnEndEditCell(int nRow, int nCol, CString str);
    void OnEditCell(int nRow, int nCol, CPoint point, UINT nChar);

private:
    BOOL m_bInEdit;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECGRIDWND_H__2AA8F2EA_0977_11D4_A6C1_00500447FC27__INCLUDED_)
