/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/////////////////////////////////////////////////////////////////////////
//
// CYRImage.h
// ----------
//
//    This is the include file for the CYRImage class.
//
//=========================================================================
#if !defined(AFX_CYRIMAGE_H__A8265A83_0DBF_11D3_B68C_00600856D1F5__INCLUDED_)
#define AFX_CYRIMAGE_H__A8265A83_0DBF_11D3_B68C_00600856D1F5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CYRImage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CYRImage window

class CYRImage : public CObject
{
    // Construction
public:
    CYRImage(HWND hParent, CString szImage);

    // Attributes
public:

    // Operations
public:

    // Implementation
public:
    BOOL Run();
    void ReportError(int error);

    virtual ~CYRImage();

private:
    CString m_szImage;
    HWND    m_hParent;
    ;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CYRIMAGE_H__A8265A83_0DBF_11D3_B68C_00600856D1F5__INCLUDED_)
